html {
  width:100%;
  height:100%;
}
body {
  margin:0;
  padding:0;
  width:100%;
  height:100%;
  background-image: radial-gradient(circle, #fff5f3, #ffeeed, #ffe7e9, #ffe1e7, #fddae6);
}

@media only screen and (max-width: 600px)  {
  body {
    background-image: url(../images/BG-clean.png);
    background-size: cover;
    background-position: center bottom;
}
}

.modal {
  position: fixed;
  height: 90%;
  height: 100%;
  right: 0;
  top: 0;
  z-index: 3;
  width: 100%;
  visibility: hidden;
  opacity:0;
  -webkit-transition:opacity 0.4s linear;
  -moz-transition:opacity 0.4s linear;
  -ms-transition:opacity 0.4s linear;
  -o-transition:opacity 0.4s linear;
  transition:opacity 0.4s linear;
  
}
.modal.show {
  visibility: visible;
  opacity:1;
}

.valign-table {
  display: table;
  table-layout: fixed;
}
.valign-cell {
  display: table-cell;
  vertical-align: middle;
}

#memory--app-container {
  /* background-color: #0061a8; */
  /* background-color: #0F172A; */
  /* background-image: radial-gradient(circle, #fff5f3, #ffeeed, #ffe7e9, #ffe1e7, #fddae6); */
  width:100%;
  height:90%;
}

@media only screen and (max-width: 600px)  {
  #memory--app-container {
    height:100%;
  }
}

.memory--menu-bar {
  width:100%;
  /* background-color: #222; */
  /* background-color: #0C1322; */
  /* background: rgba(237,98,143,.5); */
  background: inherit;
  height:10%;
  display:table;
  position: absolute;
  bottom: 0;
  left: 0;
}

.memory--menu-bar .inner {
  display:table-cell;
  vertical-align:middle;
}
.memory--menu-bar .left {
  text-align: left;
  float:left;
  width:50%;
}
.memory--menu-bar .right {
  text-align: right;
  float:right;
  width:50%;
}
.memory--app-name {
  color:#333;
  font-size:26px;
  margin:0;
  padding:1px 4px;
  text-transform: uppercase;
  font-family: 'Itim', cursive !important;
  letter-spacing: 2px;
}
@media screen and (max-width: 480px) {
  .memory--app-name {
    font-size:6vw;
    margin-left: 3vw;
  }
}

.front-logo {
  display: block;
  margin: 0 auto 1rem auto;
  border-radius: 1rem;
  height: auto;
  width: 40%;
}

#memory--settings-icon {
  height: 4rem;
  display: block;
  padding:4px 8px;
  float: right;
}

#memory--end-game-modal .wrapper {
  background-color: rgba(0, 0, 0, .86);
  text-align: center;
  color:#ccc;
  padding:8px 0;
}
#memory--end-game-modal h2,
#memory--end-game-modal h3 {
  margin:0;
  margin-bottom: 4px;
}

#memory--settings-modal {
  background-color: rgba(226,82,129,.4);
  background-image: radial-gradient(circle, #fff5f3, #ffeeed, #ffe7e9, #ffe1e7, #fddae6);
  z-index: 4;
}
#memory--settings-modal form {
  min-width:240px;
  width:50%;
  margin:0 auto;
  text-align: center;
  color:#ccc;
}

.memory--settings-label {
  margin:8px 0;
}

#memory--settings-grid,
#memory--settings-reset {
  width:100%;
  margin-bottom:16px;
  font-size:18px;
  background:transparent;
  color:#ccc;
  height:50px;
  text-align: center;
}

#memory--settings-grid option {
  background-color: rgba(12,19,34,.86);
  padding-top:5px;
  padding-bottom:5px;
}

#memory--settings-reset {
  border-radius:5px;
  border:2px solid #ccc;
  cursor: pointer;
}

#memory--cards {
  margin:0 auto;
  padding:0;
  height:100%;
  list-style-type: none;
  list-style-image: none;
  position:relative;
}
/* entire container, keeps perspective */
.flip-container {
  -webkit-perspective: 1000px;
  perspective: 1000px;
  float:left;
}

/* flip the pane when clicked */
.flip-container.clicked .front {
  -webkit-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
  -ms-transform: rotateY(180deg);
  -o-transform: rotateY(180deg);
  transform: rotateY(180deg);
}
.flip-container.clicked .back {
  -webkit-transform: rotateY(0deg);
  -moz-transform: rotateY(0deg);
  -ms-transform: rotateY(0deg);
  -o-transform: rotateY(0deg);
  transform: rotateY(0deg);
}

/* flip speed goes here */
.flipper {
  width:90%;
  height:90%;
  margin:0% auto;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  transition: 0.5s;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  transform-style: preserve-3d;
  position: relative;
  top:5%;
  bottom:5%;
}

/* hide back of pane during swap */
.front, .back {
  width:100%;
  height:100%;
  display: block;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  transition: 0.5s;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  transform-style: preserve-3d;
  position: absolute;
  top: 0;
  left: 0;
}

/* front pane, placed above back */
.front {
  /* for firefox 31 */
  -webkit-transform: rotateY(0deg);
  -moz-transform: rotateY(0deg);
  -ms-transform: rotateY(0deg);
  -o-transform: rotateY(0deg);
  transform: rotateY(0deg);
  /* background-color: #e12d00; */
  border-radius: 5%;
  /* background-image: url(../images/card.svg); */
  background-image: url(../images/logo-mybrain.png);
  background-position:50% 50%;
  background-repeat: no-repeat;
  background-size: contain;

}

/* back, initially hidden pane */
.back {
  -webkit-transform: rotateY(-180deg);
  -moz-transform: rotateY(-180deg);
  -ms-transform: rotateY(-180deg);
  -o-transform: rotateY(-180deg);
  transform: rotateY(-180deg);
  background-color: #fff;
  border-radius: 5%;
  background-position:50% 50%;
  background-repeat: no-repeat;
  background-size: cover;
}

/* .back.card-1 {
  background-image: url(../images/fruits/apple.jpg);
}
.back.card-2 {
  background-image: url(../images/fruits/fig.jpg);
}
.back.card-3 {
  background-image: url(../images/fruits/grape.jpg);
}
.back.card-4 {
  background-image: url(../images/fruits/kiwi.jpg);
}
.back.card-5 {
  background-image: url(../images/fruits/lemon.jpg);
}
.back.card-6 {
  background-image: url(../images/fruits/lime.jpg);
}
.back.card-7 {
  background-image: url(../images/fruits/mango.jpg);
}
.back.card-8 {
  background-image: url(../images/fruits/melon.jpg);
}
.back.card-9 {
  background-image: url(../images/fruits/orange.jpg);
}
.back.card-10 {
  background-image: url(../images/fruits/peach.jpg);
}
.back.card-11 {
  background-image: url(../images/fruits/pear.jpg);
}
.back.card-12 {
  background-image: url(../images/fruits/pinapple.jpg);
}
.back.card-13 {
  background-image: url(../images/fruits/plum.jpg);
}
.back.card-14 {
  background-image: url(../images/fruits/raspberry.jpg);
}
.back.card-15 {
  background-image: url(../images/fruits/strawberry.jpg);
} */

.back.card-1 {
  background-image: url(../images/fruits/กล้วย.png);
}
.back.card-2 {
  background-image: url(../images/fruits/กีวี.png);
}
.back.card-3 {
  background-image: url(../images/fruits/ทับทิม.png);
}
.back.card-4 {
  background-image: url(../images/fruits/พีช.png);
}
.back.card-5 {
  background-image: url(../images/fruits/มะนาว.png);
}
.back.card-6 {
  background-image: url(../images/fruits/มะละกอ.png);
}
.back.card-7 {
  background-image: url(../images/fruits/มะเฟือง.png);
}
.back.card-8 {
  background-image: url(../images/fruits/มังคุด.png);
}
.back.card-9 {
  background-image: url(../images/fruits/ราสเบอร์รี่.png);
}
.back.card-10 {
  background-image: url(../images/fruits/สตอเบอรรี่.png);
}
.back.card-11 {
  background-image: url(../images/fruits/สัปปะรด.png);
}
.back.card-12 {
  background-image: url(../images/fruits/ส้ม.png);
}
.back.card-13 {
  background-image: url(../images/fruits/องุ่น.png);
}
.back.card-14 {
  background-image: url(../images/fruits/พลัม.jpg);
}
.back.card-15 {
  background-image: url(../images/fruits/mango.jpg);
}

/** Matching Cards **/
/**
 * If you wish to have custom matching images, you can do so
 * by leveraging the 'matching' class which is added to one
 * of the matching cards. See the example below.
 *
 * .back.card-1 {
 *   background-image: url(../images/fruits/apple_1.jpg);
 * }
 *
 * .back.matching.card-1 {
 *   background-image: url(../images/fruits/apple_2.jpg);
 * }
 *
 */
.f-hidden {
  display: none !important;
}
.btn-start {
  margin-bottom: 2vh;

}
#start_easy , #start_normal , #start_hard {
  display: inline-block;
  font-size: 2vw;
}
#start_easy:hover , #start_normal:hover , #start_hard:hover {
  cursor: pointer;
}

#start_easy {
  padding: 5px 3vw;
  color: #fff;
  border-radius: 1.5rem;
  border: solid 1px #09382f;
  background: #3C7F72;
  box-shadow: 0px 9px 0px #0d3830;
}
 
#start_normal {
  padding: 5px 1vw;
  color: #fff;
  border-radius: 1.5rem;
  border: solid 1px #CB8001;
    background: #FEB73F;
    box-shadow: 0px 9px 0px #CB8001;
}
 
#start_hard {
  padding: 5px 3vw;
  color: #fff;
  border-radius: 1.5rem;
  border: solid 1px #e72037;
    background: #ff485d;
    box-shadow: 0px 9px 0px #7e0d1a;
}
/* text-[15vw] md:text-6xl font-bold text-center md:mb-12 hidden */
#game-name {
  color: #E25281;
  text-align: center;
  font-size: 3rem;
  text-shadow: 
    0 1px 0 #fafafa, 
    0 2px 0 #f8f8f8, 
    0 3px 0 #f5f5f5, 
    0 4px 0 #eee, 
    0 5px 0 #ddd, 
    0 6px 1px rgba(255,255,255,.1), 
    0 0 5px rgba(255,255,255,.1), 
    0 1px 3px rgba(255,255,255,.3), 
    0 3px 5px rgba(255,255,255,.2), 
    0 5px 10px rgba(255,255,255,.25), 
    0 10px 10px rgba(255,255,255,.2), 
    0 20px 20px rgba(255,255,255,.15);
}
@media only screen and (max-width: 600px)  {
  #game-name {
    font-size: 13vw;
    margin-left: 10%;
  }
  .front-logo {
    width: 90%;
    margin-left: 10%;

  }
  .btn-start {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 3.5vh;
    text-align: center;
  }
  #start_easy , #start_normal , #start_hard {
    font-size: 10vw;
    text-align: center;
    width: 100%;
  }
  #start_normal {
    padding: 5px 3vw;
  }
  #memory--settings-modal form {
    width: 80%;
    padding-right: 5%;
  }
}
#reload {
  text-align: center;
}
#reload span {
  display: inline-block;
  padding: 10px 20px;
  border-radius: 15px;
  font-size: 2rem;
  color: #fff;
  border: solid 1px #09382f;
  background: #3C7F72;
  box-shadow: 0px 4px 0px #0d3830;
}